nifti-bin - tools shipped with the NIfTI library

Distribution: Ubuntu 12.04 LTS (Precise Pangolin)
Repository: Ubuntu Universe amd64
Package name: nifti-bin
Package version: 2.0.0
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 196 B
Download size: 61.68 KB
Official Mirror:
Niftilib is a set of i/o libraries for reading and writing files in the NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) brain images. This package provides the tools that are shipped with the library (nifti_tool, nifti_stats and nifti1_test).



    Source package: nifticlib

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install nifti-bin deb package:
      # sudo apt-get install nifti-bin


    • /usr/bin/nifti1_test
    • /usr/bin/nifti_stats
    • /usr/bin/nifti_tool
    • /usr/share/doc/nifti-bin/README
    • /usr/share/doc/nifti-bin/Updates.txt.gz
    • /usr/share/doc/nifti-bin/changelog.Debian.gz
    • /usr/share/doc/nifti-bin/changelog.gz
    • /usr/share/doc/nifti-bin/copyright
    • /usr/share/man/man1/nifti1_test.1.gz
    • /usr/share/man/man1/nifti_stats.1.gz
    • /usr/share/man/man1/nifti_tool.1.gz


    2010-07-20 - Michael Hanke <> nifticlib (2.0.0-1) unstable; urgency=low * New release. Library changed API, hence bumped SO version to 2.0 (Closes: #587912). * Switch to dpkg-source 3.0 (quilt) format. Split git feature branches into quilt patch series. * Drop versioned -dev package. * Change maintainer to NeuroDebian Team <>. * Switch from verbose debhelper rules to 'dh'. * Removed ECODE patch (merged with upstream). * Bumped Standards-version to 3.9.0. Now supports 'nocheck'.

    2009-02-19 - Michael Hanke <> nifticlib (1.1.0-3) unstable; urgency=low * Disable building libfslio and remove the associated patches. The library is deprecated upstream. The affected Debian packages fsl and fslview will both build and use this library from fslview source code. * Included upstream-approved patch to add an ECODE for the PYPICKLE extension that is needed by PyNIfTI. Adjusted shlibdeps accordingly. * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

    2008-10-24 - Michael Hanke <> nifticlib (1.1.0-2) unstable; urgency=low * Added patch to libfslio from FSL 4.1: Removal of ANALYZE support. Additionally, FSL 4.1 changed the signature of FslSeekVolume(). This patch is not imported as it has to be coordinated with upstream (ABI change). But as fslio will be remove from the package with the next version, there is little need to do so. * Added shlibsdeps info with (<= 1.1.0-2) for the upcoming removal of fslio. This is only needed for fsl and fslview packages (the only ones using fslio), to prevent them from being broken, once a new stripped nifticlib package is uploaded.

    2008-09-29 - Michael Hanke <> nifticlib (1.1.0-1) unstable; urgency=low * New upstream release. libniftiio1 contains some additional symbols -- keeping SONAME and let dh_makeshlibs note dependency information (>= 1.1). * Do not install fsliolib scripts (im*,remove_ext,*.tcl) anymore. This part will most likely be removed from the package in future releases. So far, it has not been exposed in the default search path, but is only used internally by the fsl package. However, FSL itself comes with a more up-to-date copy of these scripts. The included ones are outdated and cannot be used as a dependency for FSL. * Convert debian/copyright into a machine-readable format and merge debian/ into it. * Bump Standards-version to 3.8.0, no changes necessary. * Manpage generator for 'nifti_tool' now replaces all single-quotes with double-quotes to prevent confusing them with groff commands, if they are first character on a line (addressed lintian warning).

    2008-01-02 - Michael Hanke <> nifticlib (1.0.0-1) unstable; urgency=low * New Upstream Version. New versioning scheme follows SO versions. All libraries in the package are no synchronized with respect to SO name and version. * Merged filename memory leak patch and ARM alignment patch (modified) with upstream. * Merged libfslio* packages with libniftiio*. As all library versions are now synchronized there is no need to keep libfslio separated. Especially as libfslio depends on libniftiio and is only a non-significant addition to the libniftiio package. Furthermore upstream is planning to merge libfslio with libniftiio in one of the next releases. * Renamed the only remaining library package pair to libnifti1. This is necessary to move all sub-libraries into one package without changing the SO name of libniftiio1 (with properly added conflicts to old libniftiio1 package). * Removed build-dep to d-shlibs as it cannot deal with new package name and install is now done manually. * Fixed some missing and some unnecessary symbols with correct linking. * Bumped Standards-version to 3.7.3, no changes necessary.